Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model.dynamics
Class Function

    java.lang.Object
      com.beanexplorer.beans.Option
          biouml.model.dynamics.EModelRoleSupport
              biouml.model.dynamics.Function

All Implemented Interfaces:
  EModelRole, ExpressionOwner, Role

public class Function
extends EModelRoleSupport
implements ExpressionOwner

Wrapper for MathML lambda element. Also corresponds SBML level 2 function element. Function can be defined as MathML lambda element, for example:

     <lambda>
       <bvar><ci> x </ci></bvar>
       <bvar><ci> y </ci></bvar>
       <apply>
         <sin/>
         <apply>
           <plus/>
           <ci> x </ci>
           <cn> y </cn>
         </apply>
       </apply>
     </lambda>

or as text, using linear syntax, for example:

     f(x,y) := sin(x+y)

Field Summary
`protected java.lang.String` | `formula`

Fields inherited from class biouml.model.dynamics.EModelRoleSupport
`comment`

Fields inherited from class com.beanexplorer.beans.Option
`notificationEnabled, propagationEnabled`

Constructor Summary
`Function(DiagramElement diagramElement)`

Method Summary
`java.lang.String[]` | `getExpressions()` Returns all owned mathematical expressions.
`java.lang.String` | `getFormula()`
`EModelRole` | `getRole()` Return role object essential to variables name resolving.
`boolean` | `isExpression(java.lang.String propertyName)` Returns true if property contains string that should be parsed as mathematical expression.
`void` | `setFormula(java.lang.String formula)`

Methods inherited from class biouml.model.dynamics.EModelRoleSupport
`clone, getComment, getDiagramElement, setComment`

Methods inherited from class com.beanexplorer.beans.Option
`addPropertyChangeListener, copyListenersTo, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getParent, isNotificationEnabled, isPropagationEnabled, removePropertyChangeListener, setNotificationEnabled, setParent, setPropagationEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### formula

    protected java.lang.String formula

Constructor Detail

### Function

    public Function(DiagramElement diagramElement)

Method Detail

### getFormula

    public java.lang.String getFormula()

### setFormula

    public void setFormula(java.lang.String formula)

### isExpression

    public boolean isExpression(java.lang.String propertyName)

  Description copied from interface: `ExpressionOwner`
  Returns true if property contains string that should be parsed as mathematical expression.

  Specified by:
    `isExpression` in interface `ExpressionOwner`

### getExpressions

    public java.lang.String[] getExpressions()

  Description copied from interface: `ExpressionOwner`
  Returns all owned mathematical expressions. Currently this methods is used to remove unused parameters.

  Specified by:
    `getExpressions` in interface `ExpressionOwner`

### getRole

    public EModelRole getRole()

  Description copied from interface: `ExpressionOwner`
  Return role object essential to variables name resolving.

  Specified by:
    `getRole` in interface `ExpressionOwner`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.